logging:
  level:
    root: info
    web: debug
    com.eactive: debug
    org:
      springframework:
        web:
          socket: debug
server:
  port.http: 38080
  port: 38443
  ssl:
    enabled: true
    key-store: classpath:keystore.p12
    key-store-password: elink-ssl
    key-store-type: PKCS12
    key-alias: elink-ssl
  error.include-message: always
  servlet:
    session:
      timeout: 180m

    context-path: /

spring:
  devtools:
    restart:
      enabled: true
    livereload:
      enabled: true
  datasource:
    url: jdbc:h2:file:./db/apidb
    driverClassName: org.h2.Driver
    username: sa
    password:
    hikari:
      maximum-pool-size: 20
      minimum-idle: 5
      idle-timeout: 30000
      max-lifetime: 60000
  jpa:
    hibernate:
      ddl-auto: update
    properties:
      hibernate:
        format_sql: true
    show-sql: false
    database-platform: org.hibernate.dialect.H2Dialect
  thymeleaf:
    prefix: classpath:/templates/
    check-template-location: true
    suffix: .html
    mode: HTML
    cache: false
    order: 0
  h2:
    console:
      enabled: true
      path: /h2-console
      settings:
        web-allow-others: true

